Skip to main content

Mac OS X PostScript Driver for EFI Fiery Controller v2.0 for Mac OS 10.11 to macOS 10.14

Description

This Fiery Driver supports Mac OSX 10.11, 10.12, 10.13 and 10.14.

Download

End User License Agreement

Supported platforms

  • macOS 10.14 - Mojave
  • macOS 10.13 - High Sierra
  • macOS 10.12 - Sierra
  • Mac OS X 10.11 - El Capitan

Supported languages

  • Czech
  • Danish
  • German
  • English (N. America)
  • English (Global)
  • Spanish
  • Finnish
  • French
  • French Canadian
  • Italian
  • Korean
  • Dutch
  • Norwegian
  • Polish
  • Portuguese
  • Brazilian Portuguese
  • Russian
  • Swedish
  • Turkish
  • Chinese (Simplified)

Supported products

  • WorkCentre 7830/7835/7845/7855
  • EFI Fiery Controller
  • WorkCentre 7830i/7835i/7845i/7855i
  • WorkCentre 7970i
  • WorkCentre 7970i EFI Fiery Controller

Digital Front End

  • EFI Fiery Controller
  • WorkCentre 7970i EFI Fiery Controller

Need more support?

Get answers in the Community Support Forum

Join the conversation
Join the conversation
Join the conversation